Method: accountTypes.accounts.userListGlobalLicenses.userListGlobalLicenseCustomerInfos.list

列出使用者清單全域授權的所有客戶資訊。

這項功能僅供資料合作夥伴使用。

HTTP 要求

GET https://datamanager.googleapis.com/v1/{parent=accountTypes/*/accounts/*/userListGlobalLicenses/*}/userListGlobalLicenseCustomerInfos

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

必填。要查詢客戶資訊的通用授權。格式應為 accountTypes/{ACCOUNT_TYPE}/accounts/{ACCOUNT_ID}/userListGlobalLicenses/{USER_LIST_GLOBAL_LICENSE_ID}。如要列出帳戶下的所有全域授權客戶資訊,請將使用者清單全域授權 ID 替換為「-」(例如 accountTypes/DATA_PARTNER/accounts/123/userListGlobalLicenses/-)。

查詢參數

參數
filter

string

(選用步驟) 要套用至清單要求的篩選字串。所有欄位都必須位於每個條件的左側 (例如:user_list_id = 123)。欄位必須全部使用駝峰式大小寫蛇形命名法指定。請勿同時使用駝峰式大小寫和蛇形命名法。

支援的作業:

  • AND
  • =
  • !=
  • >
  • >=
  • <
  • <=

不支援的欄位:

  • name (請改用 get 方法)
  • historical_pricings」及其所有子欄位
  • pricing.start_time
  • pricing.end_time
pageSize

integer

(選用步驟) 要傳回的授權數量上限。服務傳回的產品數量可能會少於這個值。如未指定,最多將傳回 50 個授權。許可的最大值為 1000;超出的數值將一律指定為 1000。

pageToken

string

(選用步驟) 屬於接收自前一個 ListUserListDirectLicense 呼叫的網頁權杖。提供此項目即可擷取後續網頁。

進行分頁時,提供至 ListUserListDirectLicense 的所有其他參數須與提供網頁權杖的呼叫相符。

要求主體

要求主體必須為空白。

回應主體

[ListUserListGlobalLicensesCustomerInfoRequest][google.ads.datamanager.v1.ListUserListGlobalLicensesCustomerInfoRequest] 的回應。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "userListGlobalLicenseCustomerInfos": [
    {
      object (UserListGlobalLicenseCustomerInfo)
    }
  ],
  "nextPageToken": string
}
欄位
userListGlobalLicenseCustomerInfos[]

object (UserListGlobalLicenseCustomerInfo)

要求中指定授權的客戶資訊。

nextPageToken

string

可做為 pageToken 傳送的權杖,用於擷取後續網頁。如果省略這個欄位,就不會有後續頁面。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/datamanager

UserListGlobalLicenseCustomerInfo

使用者名單全域授權的客戶相關資訊。當客戶購買全球授權時,系統會自動建立這項授權。

JSON 表示法
{
  "name": string,
  "userListId": string,
  "userListDisplayName": string,
  "licenseType": enum (UserListGlobalLicenseType),
  "status": enum (UserListLicenseStatus),
  "pricing": {
    object (UserListLicensePricing)
  },
  "clientAccountType": enum (UserListLicenseClientAccountType),
  "clientAccountId": string,
  "clientAccountDisplayName": string,
  "historicalPricings": [
    {
      object (UserListLicensePricing)
    }
  ],
  "metrics": {
    object (UserListLicenseMetrics)
  }
}
欄位
name

string

ID。使用者名單全域授權客戶的資源名稱。

userListId

string (int64 format)

僅供輸出。要授權的使用者清單 ID。

userListDisplayName

string

僅供輸出。要授權的使用者清單名稱。

licenseType

enum (UserListGlobalLicenseType)

僅供輸出。使用者名單授權給的客戶產品類型。

status

enum (UserListLicenseStatus)

僅供輸出。UserListDirectLicense 的狀態 - ENABLED 或 DISABLED。

pricing

object (UserListLicensePricing)

僅供輸出。UserListDirectLicense 定價。

clientAccountType

enum (UserListLicenseClientAccountType)

僅供輸出。使用者名單授權給的客戶產品類型。

clientAccountId

string (int64 format)

僅供輸出。使用者名單授權對象的客戶 ID。

clientAccountDisplayName

string

僅供輸出。使用者名單授權給的客戶名稱。

historicalPricings[]

object (UserListLicensePricing)

僅供輸出。這份使用者名單授權的價格記錄。

metrics

object (UserListLicenseMetrics)

僅供輸出。與這個授權相關的指標

只有在 userListGlobalLicenseCustomerInfos.list 呼叫中設定開始和結束日期時,才會填入這個欄位。